mbed_host_tests.host_tests_toolbox.host_functional Namespace Reference

## Functions

def | flash_dev (disk=None, image_path=None, copy_method='default', port=None, program_cycle_s=4)
| Flash device using pythonic interface. More...
def | reset_dev (port=None, disk=None, reset_type='default', reset_timeout=1, serial_port=None, baudrate=DEFAULT_BAUD_RATE, timeout=1, verbose=False)
| Reset device using pythonic interface. More...
def | handle_send_break_cmd (port, disk, reset_type=None, baudrate=None, timeout=1, verbose=False)
| Resets platforms and prints serial port output Mix with switch -r RESET_TYPE and -p PORT for versatility. More...

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2016 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Author: Przemyslaw Wirkus <Przemyslaw.Wirkus@arm.com>

## Function Documentation

## flash_dev()

def mbed_host_tests.host_tests_toolbox.host_functional.flash_dev | ( |  | disk = `None`,
|  |  | image_path = `None`,
|  |  | copy_method = `'default'`,
|  |  | port = `None`,
|  |  | program_cycle_s = `4`
| ) |  |

Flash device using pythonic interface.

Parameters

  disk | Switch -d <disk>
  image_path | Switch -f <image_path>
  copy_method | Switch -c <copy_method> (default: shell)
  port | Switch -p <port>

Definition at line 31 of file host_functional.py.

## handle_send_break_cmd()

def mbed_host_tests.host_tests_toolbox.host_functional.handle_send_break_cmd | ( |  | port,
|  |  | disk,
|  |  | reset_type = `None`,
|  |  | baudrate = `None`,
|  |  | timeout = `1`,
|  |  | verbose = `False`
| ) |  |

Resets platforms and prints serial port output Mix with switch -r RESET_TYPE and -p PORT for versatility.

Definition at line 89 of file host_functional.py.

## reset_dev()

def mbed_host_tests.host_tests_toolbox.host_functional.reset_dev | ( |  | port = `None`,
|  |  | disk = `None`,
|  |  | reset_type = `'default'`,
|  |  | reset_timeout = `1`,
|  |  | serial_port = `None`,
|  |  | baudrate = `DEFAULT_BAUD_RATE`,
|  |  | timeout = `1`,
|  |  | verbose = `False`
| ) |  |

Reset device using pythonic interface.

Parameters

  port | Switch -p <port>
  disk | Switch -d <disk>
  reset_type | Switch -r <reset_type>
  reset_timeout | Switch -R <reset_timeout>
  serial_port | Serial port handler, set to None if you want this function to open serial
  baudrate | Serial port baudrate
  timeout | Serial port timeout
  verbose | Verbose mode

Definition at line 56 of file host_functional.py.